dbg::dbg_exception Struct Reference

The base type of exception thrown by dbg assertions (and other dbg library constraint checks) if the assertion_behaviour is set to assertions_throw. More...

`#include <dbg.h>`

Inheritance diagram for dbg::dbg_exception:

## Public Member Functions

| dbg_exception (const source_pos &p)

## Public Attributes

const source_pos | pos

## Detailed Description

The base type of exception thrown by dbg assertions (and other dbg library constraint checks) if the assertion_behaviour is set to assertions_throw.

The exception keeps a record of the source position of the trigger for this exception.

Definition at line 487 of file dbg.h.

The documentation for this struct was generated from the following file:

- dbg.h